// CDemoWindow.h

#ifndef _CDEMOWINDOW_H_INCLUDED_
#define _CDEMOWINDOW_H_INCLUDED_

#include "../fluid_project/CFluidWindow.h"

class CDemoWindow : public CFluidWindow {
public:
    void show()
    {
        // Window callbacks:
        win_app->callback( (Fl_Callback*)callback_window_closing, (void*)(this) );

        // Make the window visible:
        win_app->show();
    }

    // callback functions
    static void callback_window_closing(Fl_Widget* widg, void* userdata_) {
        std::cout << "X button clicked -- exiting the program\n";
        while( Fl::first_window() ) {
            Fl::first_window()->hide();
        }
    }
};//class CDemoWindow

#endif // _CDEMOWINDOW_H_INCLUDED_
